.background {
  width:100vw;
}

.body {
    height: auto;
  	background-image: 
			conic-gradient(from 45deg, rgb(121, 34, 31), rgb(86, 7, 165), rgb(121, 34, 31));
			/* other bottom tone: rgb(50, 0, 88)*/
    color: white;
    font-family: 'Lucida Sans';
    margin: 10px;

    display: grid;
    grid-template-columns: 1fr;
    grid-auto-rows: auto;
    gap: 1em;
}

.gallery-text {
  font-size: 24px;
  margin: 100px 2em 0px 2em;
  border: none;
  height: 140px;
  text-align: center;
  align-content: center;
  width: auto;
}

.gallery-grid {
  display: grid;
  width: 100%;
  margin-bottom: 60px;
  gap: 1em;
  grid-auto-columns: 440px;
  grid-template-rows: repeat(auto-fill, minmax(inherit, 1fr));
  grid-template-areas:
  "object1 object4"
  "object1 object4"
  "object1 object4"
  "object1 object4"
  "object1 object10"
  "object3 object10"
  "object3 object10"
  "object3 object10"
  "object3 object10"
  "object3 object10"
  "object3 object7"
  "object5 object7" 
  "object9 object6"
  ;

  /* EL BUEN ÓRDEN:
  grid-template-areas:
  "object1 object4"
  "object1 object4"
  "object1 object4"
  "object1 object4"
  "object1 object10"
  "object3 object10"
  "object3 object10"
  "object3 object10"
  "object3 object10"
  "object3 object10"
  "object3 object7"
  "object5 object7" 
  "object9 object6"
  ;
  */

  justify-content: center;
  padding-top: 40px;
}
.gallery-object {
  border: none;
  border-radius: 24px;
  background-color: rgba(228, 228, 228, 0);
  display: flex;
  position: relative;
  overflow: hidden;
  gap: 1em;

  align-items: center;
  justify-items: center;
  filter:blur(3px);
  opacity: 0.75;
  transition: 1s;
}
.gallery-object:hover {
  background-color: rgba(228, 228, 228, 1);
  filter:blur(0);
  opacity: 1;
}

.img-file {
  top: 0;
  left: 0;
  z-index: 0;
  max-width: 420px;
  padding: 10px;
  object-fit: cover;
  border-radius: 24px;
}


/*RE-SIZING CONTROLS*/
@media (max-width: 930px) {
  .gallery-grid {
    grid-template-areas: 
    "object1"
    "object4"
    "object3"
    "object10"
    "object5"
    "object7"
    "object9"
    "object6"
    ;
  }
  .gallery-object {
    width:440px;
    height: auto;
    filter:blur(0);
    opacity: 1;
  }
  .img-file {
    width:fit-content;
  }
}

@media (min-width: 1390px) {
  .gallery-grid {
    grid-template-columns: 320px 320px 320px 320px;
    grid-template-areas:
      "object1 object4 object3 object7"
      "object1 object4 object3 object7"
      "object1 object4 object3 object7"
      "object5 object10 object9 object6"
      "object5 object10 object9 object6"
      "object5 object10 object9 object6"
    ;
    

    /* EL BUEN ÓRDEN:
  grid-template-areas:
  "object1 object4"
  "object1 object4"
  "object1 object4"
  "object1 object4"
  "object1 object10"
  "object3 object10"
  "object3 object10"
  "object3 object10"
  "object3 object10"
  "object3 object10"
  "object3 object7"
  "object5 object7" 
  "object9 object6"
  ;
  */
  }
  .gallery-object {
    width:320px;
    height: none;
  }
  .img-file {
    width:300px;
    top: 0;
    height: auto;
  }
}
/*
.gallery-grid {
  display: grid;
  grid-auto-columns: fit-content(100%);
  grid-auto-rows: fit-content(100%);
  width: 100%;
  gap: 2em;
  grid-template-areas: 
  "object1 object4"
  "object3 object10"
  "object5 object7"
  "object9 object6";

  justify-content: center;
  align-items: center;
  justify-items: center;
  padding-top: 60px;
}

.gallery-object {
  border: none;
  background-color: rgba(228, 228, 228, 0);
  display: flex;
  position: relative;
  overflow: cover;
  width: min-content;
  max-width: 440px;
  max-height: none;
  gap: 2em;

  filter:blur(3px);
  opacity: 0.75;
  transition: 1s;
}


.gallery-object:hover {
  background-color: rgba(228, 228, 228, 1);
  filter:blur(0);
  opacity: 1;
}

.img-file {
  top: 0;
  left: 0;
  z-index: 0;
  max-width: 420px;
  max-height: none;
  padding: 10px;
}

}*/